Skip to main content
POST
Error

Authorizations

x-cdata-authtoken
string
header
required

A Sync user auth token. Generate one via POST /v2/users/generate-token.

Path Parameters

job_id
string
required

Job identifier.

Body

application/json
cron
string
required

The cron expression that defines when the job runs.

enabled
boolean
default:true
options
string

Additional schedule options serialized as a string.

index
integer

The order of the schedule within the job. Must be 1 or greater.

Response

The created resource.

id
string
cron
string

The cron expression that defines when the job runs.

description
string
read-only

A human-readable description of the cron expression.

enabled
boolean

Whether the schedule is active.

options
string

Additional schedule options serialized as a string.

index
integer

The order of the schedule within the job.

next_run_at
string<date-time>
read-only

The next run time. Null when the schedule is disabled.